# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-txws
%global modname txws
%global capname txWS

Name:             python-module-txws
Version:          0.7.1
Release:          alt1_2
Summary:          Twisted WebSockets wrapper

Group:            Development/Python
License:          MIT
URL:              http://pypi.python.org/pypi/%{capname}
Source0:          http://pypi.python.org/packages/source/t/%{capname}/%{capname}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
BuildRequires:    python-module-twisted
Source44: import.info


%description
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%prep
%setup -q -n %{capname}-%{version}

%if 0%{?rhel}
%{__sed} -i -e 's/"Twisted",//' setup.py
%endif

%build
%{__python} setup.py build 


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# We could run the tests when building, but txWS doesn't ship the tests.py with
# the distribution.  Leaving it commented out as a possibility for later.
#%check
#PYTHONPATH=$(pwd) trial tests.py

%files
%doc README.rst

%{python_sitelibdir_noarch}/%{modname}.py*
%{python_sitelibdir_noarch}/%{capname}-%{version}-*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_1
- initial fc import

